% Cruise Control of a Car
%
% http://www.engin.umich.edu/group/ctm/examples/cruise/cc.html

function xdot = cruise(t,x)

global u %d

% Input (1):
% Horizontal Force Supplied by the Engine (N)
F_hor = u;

% States (1):
% Velocity of the car (m/sec)
vel = x(1,1);

% Parameters
% Gravitational Constant (m/s^2)
g = 9.8;
% Mass of the Car (kg)
m = 1000;
% Damping Parameter - measure of friction (N-sec/m)
b = 50;

% Compute xdot
xdot(1,1) = (1/m)*(F_hor - b*vel);