% Step test for Model 11 - Cruise Control
% Created by John Hedengren

global u

% Steady State Initial Conditions for the States
vel_ss = 60;
x_ss = [vel_ss];

% Steady State Initial Condition for the Control
u_ss = 3000;

% Accelerate
% Open Loop Step Change
u = 1.2*u_ss;
[t1,x1] = ode15s('cruise',[0 10],x_ss);
% Get final state for the next move
x_f1 = x1(size(t1,1),:);

% Coast
% Open Loop Step Change
u = 0;
[t2,x2] = ode15s('cruise',[10 20],x_f1);
% Get final state for the next move
x_f2 = x2(size(t2,1),:);

% Brake
% Open Loop Step Change
u = -2*u_ss;
[t3,x3] = ode15s('cruise',[20 21],x_f2);

% Prepare the results for plotting
t = [t1;t2;t3];
vel = [x1(:,1);x2(:,1);x3(:,1)];

figure(1);
plot(t,vel);
